[git] gnupg-doc - branch, master, updated. 538b6dec949b89247963ba90e676c2dd87c32db7

by Justus Winter cvs at cvs.gnupg.org
Wed Jan 11 13:50:36 CET 2017


This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "The GnuPG website and other docs".

The branch, master has been updated
       via  538b6dec949b89247963ba90e676c2dd87c32db7 (commit)
       via  ae96d42087437f00937c3f1df37c7be73953bc30 (commit)
       via  4de5c741944997463104679ca906900b7cf30f2f (commit)
       via  360c4db6378c6892bc9e2317e556472fa4e36250 (commit)
       via  abfd1df10c00f129cfad4791311bf00bedf9e78b (commit)
       via  e85b8a56beb6e44081fedfc7f985a796f3a8de4c (commit)
      from  22fce826b8aec87f80861acd583fed2adbdc80c5 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit 538b6dec949b89247963ba90e676c2dd87c32db7
Author: Justus Winter <justus at g10code.com>
Date:   Wed Jan 11 13:50:00 2017 +0100

    jenkins: fix PATH in build script

diff --git a/misc/jenkins/bin/build.bash b/misc/jenkins/bin/build.bash
index 293e682..4869979 100755
--- a/misc/jenkins/bin/build.bash
+++ b/misc/jenkins/bin/build.bash
@@ -18,7 +18,7 @@ esac
 # Setup important envars
 PREFIX=$HOME/prefix/$XTARGET
 ORIGINAL_PREFIX=$HOME/prefix/$XTARGET
-export PATH=/home/jenkins/bin:$PREFIX/bin:$PATH
+export PATH=$PREFIX/bin:$PATH
 
 # Print the environment.
 env

commit ae96d42087437f00937c3f1df37c7be73953bc30
Author: Justus Winter <justus at g10code.com>
Date:   Wed Jan 11 13:41:48 2017 +0100

    jenkins: delete python hacks
    
    Signed-off-by: Justus Winter <justus at g10code.com>

diff --git a/misc/jenkins/bin/python.txt b/misc/jenkins/bin/python.txt
deleted file mode 100644
index 6eaf41a..0000000
--- a/misc/jenkins/bin/python.txt
+++ /dev/null
@@ -1 +0,0 @@
-leak:python
diff --git a/misc/jenkins/bin/python3 b/misc/jenkins/bin/python3
deleted file mode 100755
index fed5c24..0000000
--- a/misc/jenkins/bin/python3
+++ /dev/null
@@ -1,4 +0,0 @@
-#!/bin/sh
-LD_PRELOAD=/usr/lib/x86_64-linux-gnu/libasan.so.2 \
-LSAN_OPTIONS=suppressions=/home/jenkins/bin/python.txt \
-exec /usr/bin/python3 "$@"

commit 4de5c741944997463104679ca906900b7cf30f2f
Author: Justus Winter <justus at g10code.com>
Date:   Wed Jan 11 13:36:12 2017 +0100

    jenkins: use gmake on OpenBSD
    
    Signed-off-by: Justus Winter <justus at g10code.com>

diff --git a/misc/jenkins/bin/build.bash b/misc/jenkins/bin/build.bash
index 911234c..293e682 100755
--- a/misc/jenkins/bin/build.bash
+++ b/misc/jenkins/bin/build.bash
@@ -5,6 +5,16 @@
 set -xe
 renice -n 10 -p $$
 
+# Configuration.
+MAKE=make
+
+# Platform-specific configuration.
+case "$(uname)" in
+    OpenBSD)
+	MAKE=gmake
+	;;
+esac
+
 # Setup important envars
 PREFIX=$HOME/prefix/$XTARGET
 ORIGINAL_PREFIX=$HOME/prefix/$XTARGET
@@ -121,13 +131,13 @@ case "$XTARGET" in
         ../configure --prefix=$PREFIX --enable-maintainer-mode \
 	           $CONFIGUREFLAGS \
 	           "$CONFIGUREFLAGS_0"
-        make $MAKEFLAGS
+        $MAKE $MAKEFLAGS
 
-        make -k check verbose=2 || true
+        $MAKE -k check verbose=2 || true
         # Jenkins looks for "tests? failed" to mark a build unstable,
         # hence || true here
 
-        make install
+        $MAKE install
         ;;
     sanitizer)
 	# asan breaks the configure tests, so we disable it here.
@@ -138,13 +148,13 @@ case "$XTARGET" in
 	           "$CONFIGUREFLAGS_0" \
 	           CFLAGS="$CFLAGS $SANFLAGS -fPIC" \
 	           CXXFLAGS="$CXXFLAGS $SANFLAGS -fPIC -std=c++11"
-        $SCANBUILD make $MAKEFLAGS
+        $SCANBUILD $MAKE $MAKEFLAGS
 
-        make -k check verbose=2 || true
+        $MAKE -k check verbose=2 || true
         # Jenkins looks for "tests? failed" to mark a build unstable,
         # hence || true here
 
-        make install
+        $MAKE install
         ;;
     w32)
         export w32root=$PREFIX
@@ -171,8 +181,8 @@ case "$XTARGET" in
         # likewise for --prefix
         ../autogen.sh --build-w32 --enable-maintainer-mode --prefix=$PREFIX \
           $CONFIGUREFLAGS
-        make $MAKEFLAGS
-        make install
+        $MAKE $MAKEFLAGS
+        $MAKE install
 
 	case "$JOB_NAME" in
 		gnupg/*|gnupg-2.2/*)
@@ -198,7 +208,7 @@ case "$XTARGET" in
 	  cd "$WORKDIR"
           $abs_configure --prefix=$PREFIX --enable-maintainer-mode \
                    $CONFIGUREFLAGS
-          make $MAKEFLAGS distcheck
+          $MAKE $MAKEFLAGS distcheck
 
           # Extract the tarname from the package
           tarname=$(awk <config.h '
@@ -216,8 +226,8 @@ case "$XTARGET" in
           # And do a final build using the generated tarball
 	  cd ${tarname}
 	  ./configure --prefix=$PREFIX $CONFIGUREFLAGS LD_LIBRARY_PATH=$PREFIX/lib
-	  make $MAKEFLAGS
-	  make $MAKEFLAGS install
+	  $MAKE $MAKEFLAGS
+	  $MAKE $MAKEFLAGS install
 
         ;;
     *)

commit 360c4db6378c6892bc9e2317e556472fa4e36250
Author: Justus Winter <justus at g10code.com>
Date:   Wed Jan 11 12:49:26 2017 +0100

    jenkins: avoid -fPIC
    
    I do not remember why I added this in the first place, likely to make
    GPGME's Python bindings work with -fsanitize=address.  This turns out
    to be more trouble than it is worth, so we simply omit the bindings in
    the sanitizer build.
    
    Signed-off-by: Justus Winter <justus at g10code.com>

diff --git a/misc/jenkins/bin/build.bash b/misc/jenkins/bin/build.bash
index d1d583b..911234c 100755
--- a/misc/jenkins/bin/build.bash
+++ b/misc/jenkins/bin/build.bash
@@ -120,9 +120,7 @@ case "$XTARGET" in
     native)
         ../configure --prefix=$PREFIX --enable-maintainer-mode \
 	           $CONFIGUREFLAGS \
-	           "$CONFIGUREFLAGS_0" \
-	           CFLAGS="$CFLAGS -fPIC" \
-	           CXXFLAGS="$CXXFLAGS -fPIC -std=c++11"
+	           "$CONFIGUREFLAGS_0"
         make $MAKEFLAGS
 
         make -k check verbose=2 || true

commit abfd1df10c00f129cfad4791311bf00bedf9e78b
Author: Justus Winter <justus at g10code.com>
Date:   Wed Jan 11 12:48:37 2017 +0100

    jenkins: we no longer need adns for master and stable-2.2
    
    Signed-off-by: Justus Winter <justus at g10code.com>

diff --git a/misc/jenkins/bin/build.bash b/misc/jenkins/bin/build.bash
index 09c7312..d1d583b 100755
--- a/misc/jenkins/bin/build.bash
+++ b/misc/jenkins/bin/build.bash
@@ -158,10 +158,10 @@ case "$XTARGET" in
 	if [ -f "/home/jenkins/bin/$(dirname $JOB_NAME)-w32.patch" ]; then
 	  ( cd .. && patch -p1 <"/home/jenkins/bin/$(dirname $JOB_NAME)-w32.patch" )
 	fi
-	# We need to point it to npth and adns then...
+	# We need to point it to npth then...
 	case "$JOB_NAME" in
 	    gnupg/XTARGET=w32|gnupg-2.2/XTARGET=w32)
-		CONFIGUREFLAGS="${CONFIGUREFLAGS} --with-npth-prefix=$ORIGINAL_PREFIX --with-adns=$ORIGINAL_PREFIX"
+		CONFIGUREFLAGS="${CONFIGUREFLAGS} --with-npth-prefix=$ORIGINAL_PREFIX"
 		;;
 	    gnupg-2.0/XTARGET=w32)
 		CONFIGUREFLAGS="${CONFIGUREFLAGS} --with-pth-prefix=$ORIGINAL_PREFIX --with-adns=$ORIGINAL_PREFIX"

commit e85b8a56beb6e44081fedfc7f985a796f3a8de4c
Author: Justus Winter <justus at g10code.com>
Date:   Wed Jan 11 12:32:45 2017 +0100

    jenkins: dump relevant configuration files from build environment
    
    Signed-off-by: Justus Winter <justus at g10code.com>

diff --git a/misc/jenkins/bin/build.bash b/misc/jenkins/bin/build.bash
index 72f18ab..09c7312 100755
--- a/misc/jenkins/bin/build.bash
+++ b/misc/jenkins/bin/build.bash
@@ -13,6 +13,14 @@ export PATH=/home/jenkins/bin:$PREFIX/bin:$PATH
 # Print the environment.
 env
 ulimit -a
+set +x
+for f in /etc/gcrypt/hwf.deny /etc/gcrypt/fips_enabled ; do
+  if [ -f "$f" ]; then
+    echo "=== $f ==="
+    cat -n "$f"
+  fi
+done
+set -x
 
 # Tweak the prefix we're installing this project into.  For gnupg-1.4
 # and friends.

-----------------------------------------------------------------------

Summary of changes:
 misc/jenkins/bin/build.bash | 50 ++++++++++++++++++++++++++++++---------------
 misc/jenkins/bin/python.txt |  1 -
 misc/jenkins/bin/python3    |  4 ----
 3 files changed, 33 insertions(+), 22 deletions(-)
 delete mode 100644 misc/jenkins/bin/python.txt
 delete mode 100755 misc/jenkins/bin/python3


hooks/post-receive
-- 
The GnuPG website and other docs
http://git.gnupg.org




More information about the Gnupg-commits mailing list